
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[LeetCode] Reverse Vowels of a String / iVAN</title>

    <meta name="description" content="[LeetCode] Reverse Vowels of a String Write a function that takes a string as input and reverse only the vowels of a string. Example 1: Given s = &quot;hello&quot;, return &quot;holle&quot;. Example 2: Given s = &quot;leetcode&quot;, return &quot;leotcede&quot;. 解题思路 双指针,一个往前移动,一个往后移动,找到 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[LeetCode] Reverse Vowels of a String</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Write a function that takes a string as input and reverse only the vowels of a string.</p>
<p><strong>Example 1:</strong> <br />
Given s = “hello”, return “holle”.</p>
<p><strong>Example 2:</strong> <br />
Given s = “leetcode”, return “leotcede”.</p>
<h1>解题思路</h1>
<p>双指针，一个往前移动，一个往后移动，找到元音字母时则交换。</p>
<h1>实现代码</h1>
<pre><code>// Runtime: 12 ms
public class Solution {
    private static final String STR = "aeiouAEIOU";
    private static final Set&lt;Character&gt; VOWELS = new HashSet&lt;Character&gt;(STR.length());
    static {
        for (int i = 0; i &lt; STR.length(); i++) {
            VOWELS.add(STR.charAt(i));
        }
    }

    public String reverseVowels(String s) {
        StringBuilder sb = new StringBuilder(s);
        int left = 0;
        int right = sb.length() - 1;
        while (left &lt; right) {
            while (left &lt; right &amp;&amp; !isVowels(sb.charAt(left))) {
                ++left;
            }
            while (left &lt; right &amp;&amp; !isVowels(sb.charAt(right))) {
                --right;
            }

            char temp = sb.charAt(left);
            sb.setCharAt(left++, sb.charAt(right));
            sb.setCharAt(right--, temp);
        }
        return sb.toString();
    }

    private boolean isVowels(char ch) {
        return VOWELS.contains(ch);
    }
}</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 19:01:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[LeetCode] Reverse Vowels of a String的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z43djNp.html" rel="bookmark">&lbrack;LeetCode&rsqb;--345&period; Reverse Vowels of a String</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Write a function that takes a string as input and reverse only the vowels of a string. Example 1: Given s = &quot;hello&quot;, return &quot;holle&quot;. Example 2: Given s = &quot;leetcode&quot;, return &quot;leotcede&quot;. Note: The vowels does not incl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLJRYLb.html" rel="bookmark">&lbrack;LeetCode&rsqb; Reverse Words in a String</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an input string, reverse the string word by word. For example, Given s = &quot;the sky is blue&quot;, return &quot;blue is sky the&quot;. Clarification: 1.What constitutes a word? A sequence of non-space characters constitutes a word. 2.Could the in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEKnQqp.html" rel="bookmark">&lbrack;LeetCode&rsqb;151&period;Reverse Words in a String</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目 Given an input string, reverse the string word by word. For example, Given s = &quot;the sky is blue&quot;, return &quot;blue is sky the&quot;. Update (2015-02-12): For C programmers: Try to solve it in-place in O(1) space. click to show clarification.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDj3wLM.html" rel="bookmark">&lbrack;LeetCode 第3题&rsqb; -- Reverse Words in a String</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接: Reverse Words in s String 题目意思: 给定一个字符串,要求把字符串中的&quot;单词&quot;反转                 1. 所谓&quot;单词&quot;指的的连续的非空白字符                 2. 必须把前后缀空格去掉                 3. 连续多个空格要合并为一个 代码 class Solution { public: void reverseWords(string &amp;s); }; void Solut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQA25z.html" rel="bookmark">&lbrack;LeetCode&rsqb; Reverse Linked List&lpar;递归与非递归反转链表&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Reverse a singly linked list. 解题思路 对于非递归实现,思路是依次将从第二个结点到最后一个结点的后继设为头结点,然后将该节点设为头结点(需记住将原头结点的后继设为空). 对于递归实现,首先反转从第二个结点到最后一个结点的链表,然后再将头结点放到已反转链表的最后,函数返回新链表的头结点. 非递归实现代码1[C++] //Runtime:10 ms class Solution { public: ListNode* reverseList(ListNode* head			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEEW7Lb.html" rel="bookmark">Reverse Words in a String</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an input string, reverse the string word by word. For example,Given s = &quot;the sky is blue&quot;,return &quot;blue is sky the&quot;. click to show clarification. Clarification:   What constitutes a word?A sequence of non-space characters constitu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlWE0Yb.html" rel="bookmark">&lbrack;LeetCode&rsqb; Reverse Linked List II</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Reverse a linked list from position m to n. Do it in-place and in one-pass. For example: Given 1-&gt;2-&gt;3-&gt;4-&gt;5-&gt;NULL, m = 2 and n = 4, return 1-&gt;4-&gt;3-&gt;2-&gt;5-&gt;NULL. Note: Given m, n satisfy the following condition: 1 ≤ m ≤ n ≤ le			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvnvg1M.html" rel="bookmark">&lbrack;LeetCode&rsqb; Reverse Bits</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1Reverse bits of a given 32 bits unsigned integer. For example, given input 43261596 (represented in binary as 00000010100101000001111010011100), return 964176192 (represented in binary as 00111001011110000010100101000000). Follow up: If this functio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba41NXz.html" rel="bookmark">LeetCode All in One 题目讲解汇总&lpar;持续更新中&period;&period;&period;&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				终于将LeetCode的免费题刷完了,真是漫长的第一遍啊,估计很多题都忘的差不多了,这次开个题目汇总贴,并附上每道题目的解题连接,方便之后查阅吧~ 如果各位看官们,大神们发现了任何错误,或是代码无法通过OJ,或是有更好的解法,或是有任何疑问,意见和建议的话,请一定要在对应的帖子下面评论区留言告知博主啊,多谢多谢,祝大家刷得愉快,刷得精彩,刷出美好未来- 博主制作了一款iOS的应用&quot;Leetcode Meet Me&quot;,里面有Leetcode上所有的题目,并且贴上了博主的解法,随时随地都能			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBgW4M.html" rel="bookmark" class="title">FLASH中实现眨眼睛的动画效果</a>
					<div>
						许多FLASH动画短片和MV中经常有精美生动的动画人物出现,配合眨眼动作.口形变化以及头发的飘动,再加上人物的配音,一个活脱脱的动画人物形象就出现在FLASH动画中了.很多人都想知道这样的人物是如何做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2YrVz.html" rel="bookmark" class="title">s2sh框架搭建（基于spring aop&rpar;</a>
					<div>
						对于spring aop 是如何管理事务的,请看一下:http://bbs.csdn.net/topics/290021423 1.applicationContext.xml &lt;?xml ve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdYq2z.html" rel="bookmark" class="title">Sql Server 基本函数</a>
					<div>
						server|函数 1.字符串函数 长度与分析用 datalength(Char_expr) 返回字符串包含字符数,但不包含后面的空格 substring(expression,start,lengt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ8kwM.html" rel="bookmark" class="title">使用J2ME发送手机短信息</a>
					<div>
						在程序中,发送短信息的方式一般有三种: 1. 使用程序在网络上发送短信息,例如各大网站的短信业务.这种方式是通过程序将信息发送给运营商的网关服务器,然后通过运营商的网络发送给手机. 2. 在计算机中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd3Z6M.html" rel="bookmark" class="title">Linux下用C语言API连接MySQL数据库</a>
					<div>
						像PHP和perl一样,MySQL也提供的C语言使用的API. C代码的API是随MySQL一起发布的. 它包含在mysqlclient库中, 可以使C程序来访问数据库. MySQL源码包中的许多客户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze463wp.html" rel="bookmark" class="title">中国3G移动网建设的若干设想</a>
					<div>
						目前,我国3G实验和外场测试正在积极进行中,业内关于3G移动网建设的讨论十分热烈.出于种种因素的考虑,信息产业部对3G服务的商用相当谨慎,至今未明确3G牌照的发放时间.本文将提出关于我国3G移动网建设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPYZ7M.html" rel="bookmark" class="title">Windows画图程序假死的原因</a>
					<div>
						尽管当前能后期编辑图片的软件很多,但笔者粘贴屏幕抓图.将BMP文件另存为JPG格式时,还是喜欢 使用Windows自带的画图程序．不过,在使用画图程序却遇到了奇怪的问题:当想保存图片时,只要指定 保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91gQVM.html" rel="bookmark" class="title">WPS表格三步从身份证号提取出生日期</a>
					<div>
						做为信息管理的工作人员,在录入数据时,有时需要从身份证号码中提取出生日期,如果不想一个一个手工录入,该怎么办? 不用学习繁琐的函数,不用搜索网上的模板,使用WPS表格,只要三秒,你就能从身份证号中提取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2r8kb.html" rel="bookmark" class="title">Photoshop把美女图片转为秀气的仿手绘效果</a>
					<div>
						  Photoshop把美女图片转为秀气的仿手绘效果           最终效果 原图 1.首先复制图层调尺寸大小. 2.整体提亮. 3.可选颜色. 4.刷一层淡淡颜色. 分类: PS图片处理					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6GdXz.html" rel="bookmark" class="title">用&OpenCurlyDoubleQuote;HTMLMarkup&rdquo;标记实现网页画中画</a>
					<div>
						 我们在浏览网页的时候,会看到有些网页的内部又开了一个或几个子窗口.点击相关的文字或图像链接,链接的内容会在这个子窗口中打开,形成了画中画的效果. 其实,要实现这个画中画效果很简单,只要在出现子窗口的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBGqQb.html" rel="bookmark" class="title">显示器鸣响、鸣叫、长响的原因及对策</a>
					<div>
						第一:是显像管高压帽老化,绝缘强度降低, 第二:是高压帽周围付吸了灰尘,导致漏电,决绝办法是拆开显示器外壳,将高压帽周围的灰尘清理干净,并涂上高压帽绝缘硅脂,最后更换高压帽即可,这里要注意的是,在清扫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6Anmb.html" rel="bookmark" class="title">苹果os x yosemite beta兑换码获得方法</a>
					<div>
						  苹果os x yosemite beta兑换码获得方法来啦~os x yosemite10.10.3公测版已经正式放出,这是面向广大用户的一个版本,有了兑换码就可以下载yosemite10.10. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA76YZz.html" rel="bookmark" class="title">惊呼！阿里云云服务器ECS最低3折售卖啦</a>
					<div>
						11月22日,在云栖大会·广州峰会上,阿里云云服务器ECS宣布新一代产品普惠用户,进行日常优惠的调低.从现在开始,当您选购ECS新一代企业级实例买五年时将低至3折! 以ECS企业级及入门级实例为例,5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Aw9b.html" rel="bookmark" class="title">DataReader不奇怪，该出手时就出手！</a>
					<div>
						夜里三点多,刚完成微博粉丝精灵V3.763的微博升级,上来看看,刚看到一篇文章:[原]关于使用DataReader的一个很奇怪的问题,不应该用DataReader? 于是准备花点时间解答下,顺便为这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmeBAz.html" rel="bookmark" class="title">mysql-程序常常出现timeout expired问题</a>
					<div>
						问题描述 程序常常出现timeout expired问题 求教各位,程序是C#程序,数据库mySql.这中情况偶尔发生,当我打开另一个窗口执行查询,并保存后,再操作这个窗口就没问题了.很奇怪的问题.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP0R0p.html" rel="bookmark" class="title">饭编译-反编译美团，找不到android推送</a>
					<div>
						问题描述 反编译美团,找不到android推送 反编译大众点评,和美团,并没有发现个推等第三方推送库,也没有发现基于xmpp,mqtt等的推送,他们怎样实现推送的. 解决方案 推送可以自己做,状态栏消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBNRDb.html" rel="bookmark" class="title">SEO初学者最经常会提到这些问题</a>
					<div>
						首先,帮我看看我的站点(随便设置一个http://www.aliyun.com/zixun/aggregation/8246.html&quot;&gt;网站域名,文库不给带地址)得怎么样?简单的 S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rnr6z.html" rel="bookmark" class="title">《嵌入式 Linux C 语言应用程序设计（修订版）》&mdash;&mdash;1&period;5　嵌入式系统开发概述</a>
					<div>
						1.5 嵌入式系统开发概述 嵌入式 Linux C 语言应用程序设计(修订版) 1.5.1 嵌入式系统开发流程 嵌入式系统的开发流程与通用系统的开发流程有较大的区别,其设计流程如图1.15所示. 下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAK64p.html" rel="bookmark" class="title">Greenplum 添加segment mirror节点</a>
					<div>
						添加mirror也分两种情况,在现有的GP集群节点中添加,或者新加的主机中添加. 如果在新加的主机中添加mirror,那么首先需要做的是对应主机的初始化(包括OS的配置,SSH KEY的交换,GP B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR5mZp.html" rel="bookmark" class="title">交换友情链接需要注意对方网导出权重</a>
					<div>
						在网站优化过程中,交换友情链接是最重要的一部分之一,很多人在交换友情链接的时候往往最关注的是对方的PR值,一定要找比自己站点高的或者至少要有相等的PR值的网站才进行交换,相信持这种观点的人并不在少数, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22yrZb.html" rel="bookmark" class="title">日最大银行首现年度亏损</a>
					<div>
						(小安) 日本最大银行三菱日联金融集团昨日公布的财报显示,上财年该行出现有史以来首度年度亏损,主要受到金融危机带来的坏账损失和股市投资缩水拖累.不过,该行预计,在接下来的2009财年,公司有望扭亏为盈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBlDPM.html" rel="bookmark" class="title">MongoDB执行计划获取&lpar;db&period;collection&period;explain&lpar;&rpar;&rpar;</a>
					<div>
						在RDBMS中,无论那种数据库,都提供了SQL剖析工具,用来解决SQL效率低下的问题.在MongoDB中,也有相应的策略来实现剖析.MongoDB提供了db.collection.explain()方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWXD7M.html" rel="bookmark" class="title">Google Nexus 7将于今年开始出货</a>
					<div>
						该四核平板电脑能够处理较繁重的图形任务,配置一个前置摄像头.8GB版起步价200美元. 亚马逊或于7月底携Kindle Fire 2反击.预计Kindle Fire 2将提高配置,并添加一个摄像头.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RORqz.html" rel="bookmark" class="title">javascript-extjs 麻烦大家帮我看看下面的想法怎么实现？</a>
					<div>
						问题描述 extjs 麻烦大家帮我看看下面的想法怎么实现? id : 'signdoctor-iconPath', name : 'iconPath', xtype : 'textfield', fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKr26p.html" rel="bookmark" class="title">ios-app被拒绝了，怎么办？</a>
					<div>
						问题描述 app被拒绝了,怎么办? 原因两条: 2.8 Details During review, your app installed or launched executable code, w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5J4Zp.html" rel="bookmark" class="title">&dollar;&lpar;this&rpar;&period;attr&lpar;&amp;amp&semi;quot&semi;checked&amp;amp&semi;quot&semi;&comma;false&rpar;&semi;</a>
					<div>
						惯例: 我是温浩然: 转载,需要在明显位置标注来源:http://q.cnblogs.com/q/61553/ jquery中prop()方法和attr()方法的区别浅析 :   http://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEW7QM.html" rel="bookmark" class="title">&period;net根据ip地址获取当前所在省市以及地区</a>
					<div>
						问题描述 根据ip地址获取当前所在省市以及地区,比如:广东省深圳市南山区(一定要把区获取出来).有人做过这种功能的吗?希望能共享下. 解决方案 解决方案二:有IP数据库自然就能取出来了.解决方案三:没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jNWRp.html" rel="bookmark" class="title">Shell脚本实现删除邮件队列&lowbar;linux shell</a>
					<div>
						最近遇到了一个麻烦事:机器上邮件队列里老是被塞满,但是又不知道是什么地方发邮件写入的,十分蛋疼,没办法,只有临时处理一下了,写了个删除邮件的脚本rm_mqueue.sh. 复制代码 代码如下: #/b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv63yM.html" rel="bookmark" class="title">网站推广不可不知的五个关键步骤</a>
					<div>
						    到网上搜一下,网站推广研究资料有很多,其中不乏很多有效的推广方法.实际上,虽然电子商务建设和企业网站推广的方法多,但是这些推广的方法总是万便不离其宗的.很多时候,我们不需要那么多的推广策略,需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWd1Kz.html" rel="bookmark" class="title">实现的方法中，抛的异常只能比父类或接口中的少（转）</a>
					<div>
						实现的方法中,抛的异常只能比父类或接口中的少 import java.io.IOException; public interface IHello { void say(String msg) th ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
